Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Manage Subscriptions


Create a Subscription with an Existing Plan

Creates a Recurring Billing subscription using an existing standard plan.

Before creating a subscription, a Token Management Service (TMS) customer token is required. The subscription request uses values from the TMS response. For prerequisites and field mapping, see Subscriptions.

The endpoint is POST /rbs/v1/subscriptions. A 200-level response code indicates success.

For information about response codes, see Transaction Response Codes.

Endpoint

POST /rbs/v1/subscriptions

POST /rbs/v1/subscriptions

Example

{    "clientReferenceInformation":{      "code":"ORDER123"    },    "subscriptionInformation": {        "planId":"1619214515",        "name": "Daily Gym Subscription",        "startDate": "2023-04-15T17:01:42Z",        "originalTransactionId”: “016153570198200"    },    "paymentInformation": {        "customer": {            "id": "C09F227C54F94951E0533F36CF0A3D91"        }    }}
{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/1619214690",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/1619214690",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/1619214690/cancel",            "method": "POST"        }    },    "id": "1619214690",    "status": "COMPLETED",    "subscriptionInformation": {        "code": "AWC-47",        "status": "PENDING"    }}
{    "status": "INVALID_REQUEST",    "reason": "INVALID_DATA",    "message": "One or more fields in the request contains invalid data.",    "details": [        {            "field": "subscriptionInformation.startDate",            "reason": "INVALID_DATA"        }    ]}
Required Fields: Create a Subscription with an Existing Plan
paymentInformation.customer.id string

TMS customer token ID.

subscriptionInformation.name string

Subscription name.

subscriptionInformation.planId string

The ID of the existing plan to assign to the subscription.

subscriptionInformation.startDate string

Start date in UTC format: YYYY-MM-DDThh:mm:ssZ.

Optional Fields: Create a Subscription with an Existing Plan
subscriptionInformation.originalTransactionId string

Network transaction ID from the payment that initializes the subscription. Providing this value improves authorization rates and Strong Customer Authentication (SCA) compliance. This value is returned in the Payments response as processorInformation.networkTransactionId. For EFTPOS cards, a network token is not generated. In this case, provide the transaction request ID or use 0.

subscriptionInformation.code string

Subscription code for reference.

clientReferenceInformation.code string

Merchant reference number.

Create a Subscription with Plan Overrides

A subscription can be created with plan overrides. Plan overrides apply only to the individual subscription and do not change the standard plan used for other subscriptions.

Before creating a subscription, a Token Management Service (TMS) customer token is required. The subscription request uses values from the TMS response. For prerequisites and field mapping, see Subscriptions.

The endpoint is POST /rbs/v1/subscriptions. A 200-level response code indicates success.

For information about response codes, see Transaction Response Codes.

Endpoint

POST /rbs/v1/subscriptions

POST /rbs/v1/subscriptions

Example

{    "clientReferenceInformation":{      "code":"ORDER123"    },    "subscriptionInformation": {        "planId": "1619214515",        "name": "SubName With Overrides",        "startDate": "2023-04-16T17:01:42Z",        "originalTransactionId”: “016153570198200"    },    "planInformation": {        "billingCycles": {            "total": "3"        }    },    "orderInformation": {        "amountDetails": {            "billingAmount": "13.14",            "setupFee": "1.27"        }    },    "paymentInformation": {        "customer": {            "id": "C09F227C54F94951E0533F36CF0A3D91"        }    }}
{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/1619214795",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/1619214795",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/1619214795/cancel",            "method": "POST"        }    },    "id": "1619214795",    "status": "COMPLETED",    "subscriptionInformation": {        "code": "AWC-48",        "status": "PENDING"    }}
{    "status": "INVALID_REQUEST",    "reason": "DUPLICATE_REQUEST",    "message": "Duplicate requests are not supported within 15 minutes.",    "details": [        {            "field": "subscriptionInformation.planId or paymentInformation.customer.id or subscriptionInformation.startDate or subscriptionInformation.name",            "subscriptionId": "1619214795",            "reason": "INVALID_DATA"        }    ]}
Required Fields: Create a Subscription with Plan Overrides
paymentInformation.customer.id string

TMS customer token ID.

subscriptionInformation.name string

Subscription name.

subscriptionInformation.planId string

The ID of the existing plan to assign to the subscription.

subscriptionInformation.startDate string

Start date in UTC format: YYYY-MM-DDThh:mm:ssZ.

Optional Fields: Create a Subscription with Plan Overrides
subscriptionInformation.originalTransactionId string

Network transaction ID from the payment that initializes the subscription. Providing this value improves authorization rates and Strong Customer Authentication (SCA) compliance. This value is returned in the Payments response as processorInformation.networkTransactionId. For EFTPOS cards, a network token is not generated. In this case, provide the transaction request ID or use 0.

subscriptionInformation.code string

Subscription code for reference.

clientReferenceInformation.code string

Merchant reference number.

Create a Fully Customized Subscription

Creates a Recurring Billing subscription with a one-time plan. The plan is embedded in the subscription at creation time and cannot be reused for other subscriptions. One-time plans do not include a plan code, plan name, or plan description.

The start date must be in UTC in this format: YYYY-MM-DDThh:mm:ssZ. The T separates the date and the time. The Z indicates UTC. For example, 2026-01-15T10:00:00Z indicates January 15, 2026, at 10:00:00 (10:00:00 a.m.) UTC. For subscriptions created on the start date, the time value must be the current time and day in the applicable time zone.

Before creating a subscription, a Token Management Service (TMS) customer token is required. The subscription request uses values from the TMS response. For prerequisites and field mapping, see Subscriptions.

The endpoint is POST /rbs/v1/subscriptions. A 200-level response code indicates success.

For information about response codes, see Transaction Response Codes.

Fields specific to this use case

These fields define the one-time plan embedded in the subscription:

  • orderInformation.amountDetails.billingAmount
  • orderInformation.amountDetails.currency
  • orderInformation.amountDetails.setupFee
  • planInformation.billingCycles.total
  • planInformation.billingPeriod.length
  • planInformation.billingPeriod.unit
  • subscriptionInformation.startDate

Endpoint

POST /rbs/v1/subscriptions

POST /rbs/v1/subscriptions

Example

{    "clientReferenceInformation":{      "code":"ORDER123"    },    "subscriptionInformation": {        "name": "SubName Testing",        "startDate": "2023-04-18T17:01:42Z",        "originalTransactionId”: “016153570198200"    },    "planInformation": {        "billingCycles": {            "total":"5"        },         "billingPeriod": {            "length": "3",            "unit":"D"        }    },    "orderInformation": {        "amountDetails": {            "billingAmount": "1.21",            "setupFee": "1.44",            "currency":"USD"        }    },    "paymentInformation": {        "customer": {            "id": "C09F227C54F94951E0533F36CF0A3D91"        }    }}
{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/1619214861",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/1619214861",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/1619214861/cancel",            "method": "POST"        }    },    "id": "1619214861",    "status": "COMPLETED",    "subscriptionInformation": {        "code": "AWC-49",        "status": "PENDING"    }}
{    "status": "INVALID_REQUEST",    "reason": "INVALID_DATA",    "message": "One or more fields in the request contains invalid data.",    "details": [        {            "field": "planInformation.billingPeriod.length",            "reason": "MAX_LENGTH"        }    ]}
Required Fields: Create a Fully Customized Subscription
orderInformation.amountDetails.billingAmount string

Billing amount.

orderInformation.amountDetails.currency string

Currency.

orderInformation.amountDetails.setupFee string

Setup fee.

paymentInformation.customer.id string

TMS customer token ID.

planInformation.billingPeriod.length string

Length.

planInformation.billingPeriod.unit string

Unit.

subscriptionInformation.name string

Name.

subscriptionInformation.startDate string

Start date.

Optional Fields: Create a Fully Customized Subscription
subscriptionInformation.originalTransactionId string

Network transaction ID from the payment that initializes the subscription. Providing this value improves authorization rates and Strong Customer Authentication (SCA) compliance. This value is returned in the Payments response as processorInformation.networkTransactionId. For EFTPOS cards, a network token is not generated. In this case, provide the transaction request ID or use 0.

subscriptionInformation.code string

Subscription code for reference.

clientReferenceInformation.code string

Merchant reference number.

Create a Follow-on Subscription

Creates a subscription from an existing payment transaction. The subscription uses the payment instrument and billing information from the existing transaction, so a customer token is not required.

The follow-on subscription can be assigned to an existing standard plan or to a one-time plan.

The start date must be in UTC in this format: YYYY-MM-DDThh:mm:ssZ. The T separates the date and the time. The Z indicates UTC. For example, 2026-01-15T10:00:00Z indicates January 15, 2026, at 10:00:00 (10:00:00 a.m.) UTC. For subscriptions created on the start date, the time value must be the current time and day in the applicable time zone.

For payment instrument and billing details, see the follow-on subscription endpoint in Manage Subscriptions.

Endpoint

POST /rbs/v1/subscriptions/follow-ons/{requestId}

POST /rbs/v1/subscriptions/follow-ons/{requestId}

Example

{    "clientReferenceInformation":{      "code":"ORDER123"    },    "subscriptionInformation": {        "planId":"1619214515",        "name": "SubNameFOOTPTesting",        "startDate": "2023-04-15T17:01:42Z"    }}
{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/1619214861",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/1619214861",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/1619214861/cancel",            "method": "POST"        }    },    "id": "1619214861",    "status": "COMPLETED",    "subscriptionInformation": {        "code": "AWC-49",        "status": "PENDING"    }}
{    "status": "NOT_FOUND",    "reason": "INVALID_DATA"}
Required Fields: Create a Follow-on Subscription
subscriptionInformation.name string

Subscription name.

subscriptionInformation.startDate string

Start date in UTC format: YYYY-MM-DDThh:mm:ssZ.

Optional Fields: Create a Follow-on Subscription
subscriptionInformation.code string

Subscription code for reference.

clientReferenceInformation.code string

Merchant reference number.

Amend a Subscription

Updates an existing Recurring Billing subscription. The subscription code, name, start date, TMS token, and plan assignment can be amended.

Endpoint

PATCH /rbs/v1/subscriptions/{id}

PATCH /rbs/v1/subscriptions/{id}

Example

{    "subscriptionInformation": {        "planId": 7379850138646475304951,        "name": "Update Sub Name - Switch Plan 6192115800926177701960",        "code":"1619215852Code"    },    "orderInformation": {        "amountDetails": {            "billingAmount": "13.23"        }    }}
{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/1619215852",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/1619215852",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/1619215852/cancel",            "method": "POST"        }    },    "id": "1619215852",    "status": "COMPLETED",    "subscriptionInformation": {        "code": "1619215852Code",        "status": "PENDING"    }}
{    "status": "INVALID_REQUEST",    "reason": "INVALID_DATA",    "message": "One or more fields in the request contains invalid data.",    "details": [        {            "field": "subscriptionInformation.code",            "reason": "DUPLICATE"        }    ]}
Subscription StatusAmendable Fields
Delinquent, Suspended, Canceled, or CompletedOnly subscriptionInformation.code, subscriptionInformation.name, and clientReferenceInformation.code can be amended.
PendingAll fields can be amended except orderInformation.amountDetails.currency, paymentInformation.customer.id, planInformation.billingPeriod.length, and planInformation.billingPeriod.unit.
ActiveAll fields can be amended except orderInformation.amountDetails.currency, orderInformation.amountDetails.setupFee, paymentInformation.customer.id, planInformation.billingPeriod.length, and planInformation.billingPeriod.unit.

Cancel a Subscription

Cancels a Recurring Billing subscription. Subscriptions with a pending, active, suspended, or delinquent status can be canceled. A subscription cannot be canceled within 10 minutes of its next scheduled payment.

Endpoint

POST /rbs/v1/subscriptions/{id}/cancel

POST /rbs/v1/subscriptions/{id}/cancel

Example

{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/6192115800926177701960",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/6192115800926177701960",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/6192115800926177701960/cancel",            "method": "POST"        },        "suspend": {            "href": "/rbs/v1/subscriptions/6192115800926177701960/suspend",            "method": "POST"        }    },    "id": "6192115800926177701960",    "status": "ACCEPTED",    "subscriptionInformation": {        "code": "6192177701960Code",        "status": "ACTIVE"    }}
{    "status": "NOT_FOUND",    "reason": "INVALID_DATA",    "details": []}

Reactivate a Subscription

Reactivates a suspended Recurring Billing subscription. Canceled or completed subscriptions cannot be reactivated.

The processMissedPayments query parameter controls whether missed payments are collected:

  • true: collects missed payments when the subscription is reactivated.
  • false: does not collect missed payments.

The processMissedPayments parameter is only effective when the Ask each time option is selected in the recurring billing settings. To check how many payments were missed and the total amount, retrieve the subscription — the response includes reactivationInformation.missedPaymentsCount and reactivationInformation.missedPaymentsTotalAmount.

Endpoint

POST /rbs/v1/subscriptions/{id}/activate?processMissedPayments={true|false}

POST /rbs/v1/subscriptions/{id}/activate?processMissedPayments={true|false}

Example

{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/6192115800926177701960",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/6192115800926177701960",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/6192115800926177701960/cancel",            "method": "POST"        },        "suspend": {            "href": "/rbs/v1/subscriptions/6192115800926177701960/suspend",            "method": "POST"        }    },    "clientReferenceInformation":{        "code":"ORDER123"    },    "id": "6192115800926177701960",    "planInformation": {        "code": "SITPlanCode6",        "name": "Jan11DeployPlan1",        "billingPeriod": {            "length": "1",            "unit": "W"        },        "billingCycles": {            "total": "6",            "current": "1"        }    },    "subscriptionInformation": {        "code": "AWC-45",        "planId": "6104313186846711501956",        "name": "Testsub1",        "startDate": "2023-04-13T17:01:42Z",        "status": "ACTIVE"    },    "paymentInformation": {        "customer": {            "id": "C09F227C54F94951E0533F36CF0A3D91"        }    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "billingAmount": "1.00",            "setupFee": "5.00"        },        "billTo": {            "firstName": "JENNY",            "lastName": "AUTO"        }    }}
{    "status": "NOT_FOUND",    "reason": "INVALID_DATA",    "details": []}

Suspend a Subscription

Suspends a Recurring Billing subscription. Subscriptions with a pending, active, or delinquent status can be suspended. A subscription cannot be suspended within 10 minutes of its next scheduled payment.

Endpoint

POST /rbs/v1/subscriptions/{id}/suspend

POST /rbs/v1/subscriptions/{id}/suspend

Example

{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/6192112872526176101960",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/6192112872526176101960",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/6192112872526176101960/cancel",            "method": "POST"        },        "suspend": {            "href": "/rbs/v1/subscriptions/6192112872526176101960/suspend",            "method": "POST"        }    },    "id": "6192112872526176101960",    "status": "ACCEPTED",    "subscriptionInformation": {        "code": "AWC-44",        "status": "ACTIVE"    }}
{    "status": "NOT_FOUND",    "reason": "INVALID_DATA",    "details": []}

Skip or Restore a Payment

Skips or restores scheduled payments in a Recurring Billing subscription. Provide the billingCyclesToSkip array with the billing cycle numbers to skip. To restore a previously skipped payment, send the same request without that cycle number in the array.

Endpoint

POST /rbs/v1/subscriptions/{id}/payments

POST /rbs/v1/subscriptions/{id}/payments

Example

{  "billingCyclesToSkip": [    4,    5  ]}
{  "_links": {    "self": {      "href": "/rbs/v1/subscriptions/7713669249636014301951/payments",      "method": "GET"    },    "update": {      "href": "/rbs/v1/subscriptions/7713669249636014301951/payments",      "method": "PUT"    }  },  "submitTimeUtc": "2026-02-25T15:34:05.337Z",  "status": "COMPLETED",  "billingCyclesToSkip": [    4,    5  ]}
{  "submitTimeUtc": "2026-02-25T14:27:42.216Z",  "status": "INVALID_REQUEST",  "reason": "INVALID_DATA",  "message": "One or more fields in the request contains invalid data.",  "details": [    {      "field": "billingCyclesToSkip",      "reason": "UNMODIFIABLE_PAYMENT_SKIP_ATTEMPT_CYCLE: 1"    }  ]}
{  "submitTimeUtc": "2026-02-25T14:29:19.160Z",  "status": "NOT_FOUND",  "reason": "INVALID_DATA",  "message": "Subscription with given ID not found."}
Required Fields: Skip or Restore a Payment
billingCyclesToSkip string

Array of billing cycle numbers to skip. Send an empty array to restore all previously skipped payments.

Retrieve a Subscription

Retrieves details for a specific Recurring Billing subscription.

Response details

The response returns this information:

  • Billing amount
  • Currency
  • Customer email
  • Customer first name
  • Customer ID
  • Customer last name
  • Next payment date
  • Number of billing cycles completed
  • Number of billing cycles remaining
  • Plan code
  • Plan ID
  • Plan name
  • Set-up fee
  • Start date
  • Subscription code
  • Subscription ID
  • Subscription name
  • Subscription status

For suspended subscriptions, the response also includes:

  • missedPaymentsCount: the number of payments missed during the suspension.
  • missedPaymentsTotalAmount: the total amount of payments missed during the suspension.

Endpoint

GET /rbs/v1/subscriptions/{id}

GET /rbs/v1/subscriptions/{id}

Example

{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions/6192115800926177701960",            "method": "GET"        },        "update": {            "href": "/rbs/v1/subscriptions/6192115800926177701960",            "method": "PATCH"        },        "cancel": {            "href": "/rbs/v1/subscriptions/6192115800926177701960/cancel",            "method": "POST"        },        "suspend": {            "href": "/rbs/v1/subscriptions/6192115800926177701960/suspend",            "method": "POST"        }    },    "clientReferenceInformation":{        "code":"ORDER123"    },    "id": "6192115800926177701960",    "planInformation": {        "code": "SITPlanCode6",        "name": "Jan11DeployPlan1",        "billingPeriod": {            "length": "1",            "unit": "W"        },        "billingCycles": {            "total": "6",            "current": "1"        }    },    "subscriptionInformation": {        "code": "AWC-45",        "planId": "6104313186846711501956",        "name": "Testsub1",        "startDate": "2023-04-13T17:01:42Z",        "status": "ACTIVE"    },    "paymentInformation": {        "customer": {            "id": "C09F227C54F94951E0533F36CF0A3D91"        }    },    "orderInformation": {        "amountDetails": {            "currency": "USD",            "billingAmount": "1.00",            "setupFee": "5.00"        },        "billTo": {            "firstName": "JENNY",            "lastName": "AUTO"        }    }}
{    "status": "NOT_FOUND",    "reason": "INVALID_DATA",    "details": []}

Retrieve a List of Subscriptions

Retrieves a list of Recurring Billing subscriptions. Results can be filtered, paginated, and sorted.

Query Parameters
  • planName: filter by plan name.
  • customerId: filter by TMS customer ID.
  • status: filter by subscription status.
  • customerFirstName: filter by customer first name.
  • customerLastName: filter by customer last name.
  • code: filter by subscription code.
  • plancode: filter by plan code.
  • offset: the number of records before the first record in the result set.
  • limit: the number of records in the result set. The default is 20. The maximum is 100.
Response details

The response returns this information for each subscription:

  • Billing amount
  • Currency
  • Customer email
  • Customer first name
  • Customer ID
  • Customer last name
  • Next payment date
  • Number of billing cycles completed
  • Number of billing cycles remaining
  • Plan code
  • Plan ID
  • Plan name
  • Set-up fee
  • Start date
  • Subscription code
  • Subscription ID
  • Subscription name
  • Subscription status

Endpoint

GET /rbs/v1/subscriptions

GET /rbs/v1/subscriptions

Example

{    "_links": {        "self": {            "href": "/rbs/v1/subscriptions?status=ACTIVE&limit=2",            "method": "GET"        },        "next": {            "href": "/rbs/v1/subscriptions?status=ACTIVE&offset=2&limit=2",            "method": "GET"        }    },    "totalCount": 29,    "subscriptions": [        {            "_links": {                "self": {                    "href": "/rbs/v1/subscriptions/6192112872526176101960",                    "method": "GET"                },                "update": {                    "href": "/rbs/v1/subscriptions/6192112872526176101960",                    "method": "PATCH"                },                "cancel": {                    "href": "/rbs/v1/subscriptions/6192112872526176101960/cancel",                    "method": "POST"                },                "suspend": {                    "href": "/rbs/v1/subscriptions/6192112872526176101960/suspend",                    "method": "POST"                }            },            "clientReferenceInformation":{                "code":"ORDER123"            },            "id": "6192112872526176101960",            "planInformation": {                "code": "34873819306413101960",                "name": "RainTree Books Daily Plan",                "billingPeriod": {                    "length": "1",                    "unit": "D"                },                "billingCycles": {                    "total": "2",                    "current": "1"                }            },            "subscriptionInformation": {                "code": "AWC-44",                "planId": "6034873819306413101960",                "name": "Test",                "startDate": "2023-04-13T17:01:42Z",                "status": "ACTIVE"            },            "paymentInformation": {                "customer": {                    "id": "C09F227C54F94951E0533F36CF0A3D91"                }            },            "orderInformation": {                "amountDetails": {                    "currency": "USD",                    "billingAmount": "2.00",                    "setupFee": "1.00"                },                "billTo": {                    "firstName": "JENNY",                    "lastName": "AUTO"                }            }        },        {            "_links": {                "self": {                    "href": "/rbs/v1/subscriptions/6192115800926177701960",                    "method": "GET"                },                "update": {                    "href": "/rbs/v1/subscriptions/6192115800926177701960",                    "method": "PATCH"                },                "cancel": {                    "href": "/rbs/v1/subscriptions/6192115800926177701960/cancel",                    "method": "POST"                },                "suspend": {                    "href": "/rbs/v1/subscriptions/6192115800926177701960/suspend",                    "method": "POST"                }            },                "clientReferenceInformation": {                 "code": "ORDER123"                           },             "id": "6192115800926177701960",            "planInformation": {                "code": "SITPlanCode6",                "name": "Jan11DeployPlan1",                "billingPeriod": {                    "length": "1",                    "unit": "W"                },                "billingCycles": {                    "total": "6",                    "current": "1"                }            },            "subscriptionInformation": {                "code": "AWC-45",                "planId": "6104313186846711501956",                "name": "Testsub1",                "startDate": "2023-04-13T17:01:42Z",                "status": "ACTIVE"            },            "paymentInformation": {                "customer": {                    "id": "C09F227C54F94951E0533F36CF0A3D91"                }            },            "orderInformation": {                "amountDetails": {                    "currency": "USD",                    "billingAmount": "1.00",                    "setupFee": "5.00"                },                "billTo": {                    "firstName": "JENNY",                    "lastName": "AUTO"                }            }        }    ]}
{  "status": "NOT_FOUND",  "reason": "INVALID_DATA"}

Retrieve a List of Payments in a Subscription

Retrieves the list of payments in a Recurring Billing subscription, including past and scheduled payments.

Query Parameters
  • offset: the number of records before the first record in the result set.
  • limit: the number of records in the result set. The default is 20. The maximum is 100.
  • scheduledPaymentsCount: the number of future scheduled payments to include. The default is 5. The maximum is 9999.
Response details

The response returns:

  • totalCount: total number of payments in the subscription.
  • cyclesCompletedCount: number of billing cycles completed.
  • billingCyclesToSkip: array of billing cycle numbers currently set to skip.
  • subscriptionPayment: array of payment objects, each containing:
  • Authorization code (for processed payments)
  • Billing cycle number
  • Currency
  • Payment amount
  • Payment ID
  • Payment method type
  • Payment status
  • Processor transaction ID (for processed payments)
  • Request ID (for processed payments)
  • Response code (for processed payments)
  • Response reason code (for processed payments)
  • Scheduled payment date
  • Skip flag
  • Transaction ID (for processed payments)

Endpoint

GET /rbs/v1/subscriptions/{id}/payments

GET /rbs/v1/subscriptions/{id}/payments

Example

Retrieve Details for Follow-on Subscription Creation

Retrieves the payment instrument, billing, and shipping details from an existing transaction. Use this to verify the information before creating a follow-on subscription.

Endpoint

GET /rbs/v1/subscriptions/follow-ons/{requestId}

GET /rbs/v1/subscriptions/follow-ons/{requestId}

Example

{  "_links": {    "self": {	"href": "rbs/v1/subscriptions/follow-ons/7216512479796378604957",	"method": "GET"	},	"create": {	"href": "rbs/v1/subscriptions/follow-ons/7216512479796378604957",	"method": "POST"	}  },  "buyerInformation": {    "merchantCustomerId": "1234",    "email": ""  },  "paymentInstrument": {    "card": {      "number": "411111XXXXXX1111",      "expirationMonth": "11",      "expirationYear": "2037",      "type": "001"    },    "billTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "123 Street",      "locality": "Bellevue",      "administrativeArea": "AL",      "postalCode": "12345",      "email": "[email protected]",      "country": "US"    }  },  "shippingAddress": {    "shipTo": {      "firstName": "John",      "lastName": "Doe",      "address1": "123 Street",      "locality": "Bellevue",      "administrativeArea": "AL",      "postalCode": "12345",      "country": "US"    }  }}
{  "status": "NOT_FOUND",  "reason": "INVALID_DATA"}

Retrieve the Next Subscription Code

Retrieves the next consecutive subscription code that the system automatically assigns. Use this to preview the next code before creating a subscription.

Endpoint

GET /rbs/v1/subscriptions/code

GET /rbs/v1/subscriptions/code

Example

{    "code": "AWC-50",}
{  "status": "NOT_FOUND",  "reason": "INVALID_DATA"}

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.